{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"A specific, existing workspace can be updated by making a PUT request on the URL for that workspace. Only the fields provided in the data block will be updated; any unspecified fields will remain unchanged.\nCurrently the only field that can be modified for a workspace is its name.\nReturns the complete, updated workspace record.","properties":{"path":{"type":"object","properties":{"workspace_gid":{"type":"string","examples":["12345"],"description":"Globally unique identifier for the workspace or organization."}},"required":["workspace_gid"],"additionalProperties":false},"query":{"type":"object","properties":{"opt_pretty":{"type":"boolean","examples":[true],"description":"Provides “pretty” output.\nProvides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging."},"opt_fields":{"type":"array","items":{"type":"string","enum":["email_domains","is_organization","name"]},"examples":[["email_domains","is_organization","name"]],"description":"This endpoint returns a resource which excludes some properties by default. To include those optional properties, set this query parameter to a comma-separated list of the properties you wish to include. Properties can include nested fields. To learn more, see the [input/output options guide](/docs/inputoutput-options#selecting-nested-fields)."}},"required":[],"additionalProperties":false},"body":{"type":"object","properties":{"data":{"$ref":"#/definitions/WorkspaceRequest"}}}},"required":["path","body"],"additionalProperties":false,"definitions":{"WorkspaceRequest":{"$ref":"#/definitions/WorkspaceBase"},"WorkspaceBase":{"$ref":"#/definitions/WorkspaceCompact"},"WorkspaceCompact":{"description":"A *workspace* is the highest-level organizational unit in Asana. All projects and tasks have an associated workspace.","type":"object","properties":{"name":{"description":"The name of the workspace.","type":"string","examples":["My Company Workspace"]}}}}},"name":"Update a workspace","id":"asana.updateworkspace","example":{"path":{"workspace_gid":"12345"},"body":{}},"maxRequests":1,"summary":false}}